黑莓java开发应用程序

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/yongqingmiao/article/details/6359133

设置 win xp/win 7 的黑莓Java的开发环境的步骤如下:

1. BlackBerry应用开发基于Java,首先需要JDK (6.0以上的版本)

下载最新JDK:http://java.sun.com/javase/downloads/index.jsp

下载完后双击安装即可。

2. 下载BlackBerry SDK,这里有两种选择: BlackBerry JDE, BlackBerry Java Plug-in with Eclipse

2.1 BlackBerry JDE是RIM自主开发的IDE

下载 BlackBerry JDE:http://na.blackberry.com/eng/developers/javaappdev/javadevenv.jsp

2.2 配置了 BlackBerry Java Plug-in 的Eclipse

2.2.1 安装Eclipse和BlackBerry JavaPlug-in

下载Eclipse 3.5:http://www.eclipse.org/downloads/download.php?file=/eclipse/downloads/drops/R-3.5.2-201002111343/eclipse-SDK-3.5.2-win32.zip

下载BlackBerry Java Plug-in 1.1:http://na.blackberry.com/eng/developers/javaappdev/javaplugin.jsp

安装Plug-in时要指定Eclipse目录

2.2.2 安装BlackBerry Java Plug-in Eclipse更新

直接从Eclipse里更新: Help->Install New Software->Add Site,在Location里填入:

http://www.blackberry.com/go/eclipseUpdate/3.5/java

点击Next,Eclipse后端与服务器交互,之后显示Eclipse JDE Components列表,从4.5版本到目前的5.0版本。一般是使用最迟版本进行开发,只要选5.0版。如果需要维护不同版本,建议全选。点击 Next下载安装。

注意这一步需要比较长的时间而且不能有中断或错误。安装完毕后Eclipse会提醒重启。如果安装成功,在Eclipse可以看见:File->New Project->BlackBerry->BlackBerry Project

小建议:

JDE和Eclipse两种方式最好都安装,这样安装签名key的时候可以先用JDE安装,然后用Eclipse从JDE里的Bin目录 Import签名Key。
分享自PantherBB的博客:http://blog.csdn.net/PantherBB/archive/2010/05/08/5568960.aspx

展开阅读全文

没有更多推荐了,返回首页